package etats;

/**
 * 
 * @author S.Lombardy
 *
 */


public enum Requete{
	TRAVAIL{
		public TravailleurGradue action(TravailleurGradue w) throws AngryException {return w.travail();}
	},
	REPOS{
		public TravailleurGradue action(TravailleurGradue w){return w.repos();}
	}, 
	NOUVELLES{
		public TravailleurGradue action(TravailleurGradue w){return w.nouvelles();}
	};
	
	abstract public TravailleurGradue action(TravailleurGradue w) throws AngryException;
}
